GENERIC_FILE_SPLICE_(9)

NAME
generic_file_splice_read - splice data from file to a pipe

SYNOPSIS

ssize_t generic_file_splice_read(struct file * in, loff_t * ppos, struct pipe_inode_info * pipe, size_t len, unsigned int flags);

ARGUMENTS

in
    file to splice from

ppos
    position in in

pipe
    pipe to splice to

len
    number of bytes to splice

flags
    splice modifier flags

DESCRIPTION

Will read pages from given file and fill them into a pipe. Can be used as long as the address_space operations for the source implements a readpage hook.

COPYRIGHT